<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRxMixInPwrMonConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRxMixInPwrMonConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>RX mixer input power monitoring configuration.  
 <a href="structrl_rx_mix_in_pwr_mon_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a94b528f529aee74afb6563b67de3f7f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94b528f529aee74afb6563b67de3f7f6"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_mix_in_pwr_mon_conf__t.html#a94b528f529aee74afb6563b67de3f7f6">profileIndx</a></td></tr>
<tr class="memdesc:a94b528f529aee74afb6563b67de3f7f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The RF analog settings corresponding to this profile are used for monitoring RX <br />
 mixer input power using test chirps (static frequency, at the center of the <br />
 profile's RF frequency band). <br />
. <br /></td></tr>
<tr class="separator:a94b528f529aee74afb6563b67de3f7f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae92356229b0d054ad2047a277c552397"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae92356229b0d054ad2047a277c552397"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_mix_in_pwr_mon_conf__t.html#ae92356229b0d054ad2047a277c552397">reportMode</a></td></tr>
<tr class="memdesc:ae92356229b0d054ad2047a277c552397"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates the desired reporting verbosity and threshold usage. <br />
 Value = 0 Report is sent every monitoring period without threshold check <br />
 Value = 1 Report is send only upon a failure (after checking for thresholds) <br />
 Value = 2 Report is sent every monitoring period with threshold check. <br />
 Other values: RESERVED. <br />
. <br /></td></tr>
<tr class="separator:ae92356229b0d054ad2047a277c552397"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60228ab7645a2e39d8c481e3b0ab9286"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a60228ab7645a2e39d8c481e3b0ab9286"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_mix_in_pwr_mon_conf__t.html#a60228ab7645a2e39d8c481e3b0ab9286">txEnable</a></td></tr>
<tr class="memdesc:a60228ab7645a2e39d8c481e3b0ab9286"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates if and which TX channels should be enabled while measuring <br />
 RX mixer input power. Setting a bit to 1 enables the corresponding TX channel. <br />
 Enabling a TX channel may help find reflection power while disabling may help <br />
 find interference power. <br />
 Bit number TX Channel <br />
 0 TX0 <br />
 1 TX1 <br />
 2 TX2 <br />
. <br /></td></tr>
<tr class="separator:a60228ab7645a2e39d8c481e3b0ab9286"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc26dd3a41e0fed1593c2adb22f21950"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc26dd3a41e0fed1593c2adb22f21950"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_mix_in_pwr_mon_conf__t.html#abc26dd3a41e0fed1593c2adb22f21950">reserved0</a></td></tr>
<tr class="memdesc:abc26dd3a41e0fed1593c2adb22f21950"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:abc26dd3a41e0fed1593c2adb22f21950"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f6f69c26327f575a8c58dacecebc714"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f6f69c26327f575a8c58dacecebc714"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_mix_in_pwr_mon_conf__t.html#a9f6f69c26327f575a8c58dacecebc714">thresholds</a></td></tr>
<tr class="memdesc:a9f6f69c26327f575a8c58dacecebc714"><td class="mdescLeft">&#160;</td><td class="mdescRight">The measured RX mixer input voltage swings during this monitoring is compared <br />
 against the minimum and maximum thresholds configured in this field. The comparison result is part of the monitoring report message (Error bit is set if <br />
 any measurement is outside this (minimum, maximum) range). <br />
 Byte number Threshold <br />
 0 Minimum Threshold <br />
 1 Maximum Threshold <br />
 Only the RX channels enabled in the static configuration APIs are monitored. <br />
 1 LSB = 1800mV/256, unsigned number <br />
 Valid range: TBD, maximum threshold &gt;= minimum threshold Recommended value = <br />
 TBD <br />
. <br /></td></tr>
<tr class="separator:a9f6f69c26327f575a8c58dacecebc714"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace9919aa35a8f47b048ef5e49a332730"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace9919aa35a8f47b048ef5e49a332730"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_mix_in_pwr_mon_conf__t.html#ace9919aa35a8f47b048ef5e49a332730">reserved1</a></td></tr>
<tr class="memdesc:ace9919aa35a8f47b048ef5e49a332730"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ace9919aa35a8f47b048ef5e49a332730"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c1aa81f5315f0df8ad4353189a1ca7d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4c1aa81f5315f0df8ad4353189a1ca7d"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_mix_in_pwr_mon_conf__t.html#a4c1aa81f5315f0df8ad4353189a1ca7d">reserved2</a></td></tr>
<tr class="memdesc:a4c1aa81f5315f0df8ad4353189a1ca7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a4c1aa81f5315f0df8ad4353189a1ca7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>RX mixer input power monitoring configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
